import { EMPTY, } from './constants.js';
import checkFolder from './check-folder.js';
export default (logger, config) => {
    let errors = 0;
    let warnings = 0;
    for (const folder of config.folders) {
        const partial = checkFolder(folder, logger);
        errors += partial.errors;
        warnings += partial.warnings;
    }
    return errors === EMPTY && (!config.isFailOnWarning || warnings === EMPTY);
};
